<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN" "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">
<generatorConfiguration>
	<context id="context1" defaultModelType="flat" targetRuntime="MyBatis3Simple">
		<commentGenerator>
            <property name="suppressAllComments" value="true" />
            <property name="suppressDate" value="true" />
        </commentGenerator>
		<jdbcConnection
			connectionURL="jdbc:mysql://localhost:3306/test?useSSL=false"
			driverClass="com.mysql.cj.jdbc.Driver" password="test123"
			userId="test123" />
		<javaModelGenerator
			targetPackage="com.ziyao.shop.entity"
			targetProject="test_project/src/main/java" />
		<sqlMapGenerator targetPackage="mappers"
			targetProject="test_project/src/main/resources" />
		<javaClientGenerator
			targetPackage="com.ziyao.shop.dao"
			targetProject="test_project/src/main/java" type="XMLMAPPER" />

<!-- 		<table tableName="SHOPPING_CART" /> -->
		<table tableName="CUS_SHOPPING_CART" />
	</context>
</generatorConfiguration>